# Uses of Class
serp.bytecode.Attribute

Packages that use Attribute
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Attribute in serp.bytecode

Subclasses of Attribute in serp.bytecode
Modifier and Type
Class
Description
`class`
`Annotations`
Java annotation data.
`class`
`BootstrapMethods`
`class`
`Code`
Representation of a code block of a class.
`class`
`ConstantValue`
A constant value for a member field.
`class`
`Deprecated`
Attribute signifying that a method or class is deprecated.
`class`
`Exceptions`
Attribute declaring the checked exceptions a method can throw.
`class`
`InnerClasses`
Attribute describing all referenced classes that are not package members.
`class`
`LineNumberTable`
Code blocks compiled from source have line number tables mapping opcodes to source lines.
`class`
`LocalTable`
Code blocks compiled from source have local tables mapping locals used in opcodes to their names and descriptions.
`class`
`LocalVariableTable`
Code blocks compiled from source have local variable tables mapping locals used in opcodes to their names and descriptions.
`class`
`LocalVariableTypeTable`
Code blocks compiled from source have local variable type tables mapping generics-using locals used in opcodes to their names and signatures.
`class`
`SourceFile`
Attribute naming the source file for this class.
`class`
`Synthetic`
Attribute marking a member as synthetic, or not present in the class source code.
`class`
`UnknownAttribute`
An unrecognized attribute; class files are allowed to contain attributes that are not recognized, and the JVM must ignore them.
Methods in serp.bytecode that return Attribute
Modifier and Type
Method
Description
`Attribute`
Attributes.`addAttribute(String name)`
Add an attribute of the given type.
`Attribute`
Attributes.`addAttribute(Attribute attr)`
Import an attribute from another entity, or make a copy of one on this entity.
`Attribute`
Attributes.`getAttribute(String name)`
Return the attribute with the given name.
`Attribute[]`
Attributes.`getAttributes()`
Return all the attributes owned by this entity.
`Attribute[]`
Attributes.`getAttributes(String name)`
Return all attributes with the given name.
Methods in serp.bytecode with parameters of type Attribute
Modifier and Type
Method
Description
`Attribute`
Attributes.`addAttribute(Attribute attr)`
Import an attribute from another entity, or make a copy of one on this entity.
`boolean`
Attributes.`removeAttribute(Attribute attribute)`
Remove the given attribute.
`void`
Attributes.`setAttributes(Attribute[] attrs)`
Set the attributes for this entity; this method is useful for importing all attributes from another entity.

## Uses of Attribute in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Attribute
Modifier and Type
Method
Description
`void`
BCVisitor.`enterAttribute(Attribute obj)`
`void`
PrettyPrintVisitor.`enterAttribute(Attribute obj)`
`void`
BCVisitor.`exitAttribute(Attribute obj)`
`void`
PrettyPrintVisitor.`exitAttribute(Attribute obj)`